Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
connect_arg Struct Reference

## Data Fields
int | fd
const struct sockaddr * | sockaddr
socklen_t | len

## Detailed Description

Definition at line 363 of file init.c.

## Field Documentation

int connect_arg::fd

Definition at line 364 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

socklen_t connect_arg::len

Definition at line 366 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

const struct sockaddr* connect_arg::sockaddr

Definition at line 365 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

The documentation for this struct was generated from the following file:

- ext/socket/init.c